#
# spec file for package pac-manager
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pac-manager
%define real_name pac
Version:        4.5.3.4
Release:        1.1
Summary:        PAC is a Perl/GTK replacement for SecureCRT/Putty
License:        GPL-3.0+
Group:          Productivity/Networking/SSH
Url:            http://sourceforge.net/projects/pacmanager
Source0:        %{real_name}-%{version}-all.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.svg
# too complicated to generate runtime by rsvg-view
Source3:        pac256x256.png
Source4:        pac64x64.png
Source5:        pac24x24.png
Source6:        pac16x16.png
Source99:       %{name}-rpmlintrc
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  perl
BuildRequires:  perl-Gnome2-Vte
BuildRequires:  update-desktop-files
%if 0%{?suse_version} < 1140
Requires:       perl = %{perl_version}
%else
%{perl_requires}
%endif
Requires:       perl-Crypt-Blowfish
Requires:       perl-Crypt-CBC
Requires:       perl-Crypt-Rijndael
Requires:       perl-Expect
Requires:       perl-Gnome2-GConf
Requires:       perl-Gnome2-Vte
Requires:       perl-Gtk2
Requires:       perl-Gtk2-Ex-Simple-List
Requires:       perl-Gtk2-GladeXML
Requires:       perl-Gtk2-SourceView2
Requires:       perl-Net-ARP
Requires:       perl-OSSP-uuid
Requires:       perl-YAML
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PAC is a Perl/GTK replacement for SecureCRT/Putty/etc (linux ssh/telnet/... gui).
It provides a GUI to configure connections: users, passwords, EXPECT regular 
expressions, macros, etc. 

%prep
%setup -q -n %{real_name}
# clean unneeded files
rm -rf {make.sh,pac.list,qrcode_pacmanager.png}
rm -rf res/pac.desktop
rm -rf res/{pac24x24.png,pac64x64.png,pac256x256.jpg}
# remove unneeded libs
%ifarch x86_64
rm -rf lib/ex/{vte32,vteARM}
%endif
%ifarch i586
rm -rf lib/ex/{vte64,vteARM}
%endif
%ifarch armv7 armv5 armv6
rm -rf lib/ex/{vte32,vte64}
%endif

%build

%install
#binaries
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 %{buildroot}%{_bindir}
cp -r pac %{buildroot}%{_datadir}/%{name}/
ln -sf %{_datadir}/%{name}/pac %{buildroot}%{_bindir}/%{name}
#menu
install -d -m 755 %{buildroot}%{_datadir}/applications
cp %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
#man
install -d -m 755 %{buildroot}%{_mandir}/man1
mv res/pac.1 res/%{name}.1
cp -r res/%{name}.1 %{buildroot}%{_mandir}/man1/
rm -rf res/%{name}.1
#icons
install -d -m 755 %{buildroot}%{_datadir}/icons/hicolor/24x24/apps
install -d -m 755 %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
install -d -m 755 %{buildroot}%{_datadir}/icons/hicolor/256x256/apps
install -d -m 755 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
cp -r %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
cp -r %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
cp -r %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
cp -r %{SOURCE5} %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
cp -r %{SOURCE6} res/pac_tab.png
cp -r %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/%{name}.png res/pac24x24.png
cp -r res/pac24x24.png res/pac_tray.png
cp -r %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png res/pac64x64.png
cp -r %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/%{name}.png res/pac256x256.png
sed -i "s/pac256x256.jpg/pac256x256.png/" lib/{PACMain.pm,PACUtils.pm}
#utils
cp -r utils %{buildroot}%{_datadir}/%{name}/
cp -r res %{buildroot}%{_datadir}/%{name}/
#lib
cp -r lib %{buildroot}%{_datadir}/%{name}/

%if 0%{?suse_version}
%suse_update_desktop_file %{name} Network Security RemoteAccess
%endif

%fdupes %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Tue Feb 11 2014 i@marguerite.su
- update version 4.5.3.4
  * Added support for "other" Gnome2::Vte versions different than
    0.9 and 0.10 (0.11??)
- remove the ugly icon.
* Thu Jun 14 2012 i@marguerite.su
- update version 4.2
  * Added a Notebook to contain the connections tree and two new
    categories: favourites and history !!
  * Added "Conditional Expect" !! Wow!! :) Checkout your per-connection
    "Expect" tab and take a look at those new little options on the
    right side
  * Added a new Time Out variable for finer conditional "Expect" chaining
  * Added an option to send local/global/environment variables values to
    a terminal via right-click menu!
  * Added an option to "Chain" a given connection via terminal right-click
    menu!
  * Added an option to execute a command without user confirmation on
    connection "Pre exec" and "Post exec"
  * Fixed a bug that could make some connections stop responging/disconnecting
    when resizing terminal's window
  * Fixed a regression bug that prevented the use of "Authentication fallback
    prevention"
  * Fixed an ultra-minor reression bug that prevented the "connections tree
    lines" from appearing if that option was checked
  * Code improvements for the auto show/hide connections tree
  * Fixed minor-gui glitches regarding auto-hide connections
* Sun Apr 29 2012 i@marguerite.su
- try to fix bug bnc#758902
* Thu Nov  3 2011 i@marguerite.su
- fixed symbolink problem
* Thu Nov  3 2011 i@marguerite.su
- fixed binary problem
* Thu Nov  3 2011 i@marguerite.su
- initial package 3.3.5
